
package cz.upol.pja.lecture06;

import cz.zcu.stag_ws.PredmetKatedryType;
import cz.zcu.stag_ws.PredmetyKatedryType;
import cz.zcu.stag_ws.PredmetyService;
import cz.zcu.stag_ws.PredmetyServiceImplService;
import java.util.ArrayList;
import java.util.List;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;
import javax.xml.ws.WebServiceRef;


@RequestScoped
@Named("stagQuery")
public class StagQuery {

    @WebServiceRef(PredmetyServiceImplService.class)
    private PredmetyService predmetyService;
    
    private String dept;
    private List<String> courses = new ArrayList<>();
    
    public StagQuery() {
        super();
    }
    
    public String listCourses() {
        PredmetyKatedryType predmety = predmetyService.getPredmetyByKatedra(dept, null, null, null, null);
        for (PredmetKatedryType pk : predmety.getPredmetKatedry()) {
            String item = pk.getZkratka() + " " + pk.getNazev();
            if (!courses.contains(item))
                courses.add(item);
        }
        return "";
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public List<String> getCourses() {
        return courses;
    }

    public void setCourses(List<String> courses) {
        this.courses = courses;
    }
 
}
